DH_STRIP(1)

NOM
dh_strip – Dépouiller les exécutables, les bibliothèques partagées et certaines bibliothèques statiques

SYNOPSIS
dh_strip [options_de_debhelper] [-Xélément] [--dbg-package=paquet] [--keep-debug]

DESCRIPTION
dh_strip est le programme de la suite debhelper chargé de dépouiller de leurs symboles de débogage, qui ne sont pas nécessaires pendant l'exécution, les exécutables, les bibliothèques partagées et les bibliothèques statiques.

Ce programme examine les répertoires de construction du paquet et détermine ce qui peut être dépouillé. Il s'appuie sur file(1), sur les permissions ainsi que sur les noms des fichiers pour deviner quels fichiers sont des bibliothèques partagées (*.so), des binaires exécutables, des bibliothèques statiques (lib*.a) ou des bibliothèques de mise au point (lib*_g.a, debug/*.so). Il dépouille chacun de ces éléments autant qu'il est possible (pas du tout pour des bibliothèques de mise au point). Il semble, généralement, faire de très bonnes conjectures et produit un résultat correct dans presque tous les cas.

Comme il est très difficile de deviner automatiquement si un fichier est un module, et difficile de déterminer comment dépouiller un module, dh_strip ne dépouille actuellement pas les modules binaires tels que des fichiers .o.

OPTIONS

-Xélément, --exclude=élément
    Exclut du traitement les fichiers qui comportent élément n'importe où dans leur nom. Il est possible d'utiliser cette option à plusieurs reprises pour établir une liste des éléments à exclure.

--dbg-package=paquet
    Cette option est actuellement une option spéciale dont vous ne devriez pas avoir besoin. Dans la plupart des cas, il devrait y avoir peu de raisons d'utiliser cette option pour les nouveaux paquets source, car debhelper génère automatiquement les paquets de débogage (« paquets dbgsym »). Si vous avez une option manuelle --dbg-package que vous désirez remplacer par un paquet de symboles de débogage généré automatiquement, veuillez consulter l'option --dbgsym-migration.

    Cette option produit l'enregistrement, en tant que fichiers indépendants, des symboles dont ont été dépouillés les paquets traités. Ces fichiers sont enregistrés dans le répertoire de construction du paquet de mise au point indiqué.

    Par exemple, si les paquets se nomment libtoto et toto et que l'on veut inclure un paquet toto-dbg avec les symboles de mise au point, il faut utiliser dh_strip --dbg-package=toto-dbg.

    Cette option implique --no-automatic-dbgsym et ne peut pas être utilisée avec --automatic-dbgsym ou --dbgsym-migration.

-k, --keep-debug
    Cette option est actuellement une option spéciale dont vous ne devriez pas avoir besoin. Dans la plupart des cas, il devrait y avoir peu de raisons d'utiliser cette option pour les nouveaux paquets source, car debhelper génère automatiquement les paquets de débogage (« paquets dbgsym »). Si vous avez une option manuelle --dbg-package que vous désirez remplacer par un paquet de symboles de débogage généré automatiquement, veuillez consulter l'option --dbgsym-migration.

    Les symboles de mise au point seront conservés, mais séparés dans un fichier indépendant de usr/lib/debug/ dans le répertoire de construction du paquet. Il est plus facile d'employer --dbg-package que cette option, mais cette dernière est plus souple.

    Cette option implique --no-automatic-dbgsym et ne peut pas être utilisée avec --ddebs.

--dbgsym-migration=relation-paquet
    Cette option est utilisée pour migrer d'un paquet « -dbg » créé manuellement avec --dbg-package vers la création automatique du paquet de symboles de débogage. Cette option doit décrire une relation Replaces et Breaks valable, qui sera ajoutée au paquet de symboles de débogage pour éviter les conflits de fichiers avec le paquet (maintenant obsolète) -dbg.

    Cette option implique --automatic-dbgsym et ne peut pas être utilisée avec --keep-debug, --dbg-package ni --no-automatic-dbgsym.

    Exemples :

      dh_strip --dbgsym-migration='libtoto-dbg (<< 2.1-3~)'

      dh_strip --dbgsym-migration='libtoto-tools-dbg (<< 2.1-3~), libtoto2-dbg (<< 2.1-3~)'

--automatic-dbgsym, --no-automatic-dbgsym
    Cette option vérifie si dh_strip doit créer des paquets de symboles de débogage lorsque cela est possible.

    Le comportement par défaut est de créer un paquet de symboles de débogage.

--ddebs, --no-ddebs
    Nom historique pour --automatic-dbgsym et --no-automatic-dbgsym

--ddeb-migration=relation-paquet
    Nom historique pour --dbgsym-migration.

--keep-lto
    Sections containing information generated by -flto -ffat-lto-objects are normally removed from static archives, because the streaming format changes even in minor GCC versions, and because cross package link time optimizations are normally not desired. This option allows to keep this information in the static libraries.

REMARQUES
Si la variable d'environnement DEB_BUILD_OPTIONS contient nostrip, rien ne sera dépouillé, conformément à la Charte Debian (section 10.1 « Binaries »). Cela empêchera aussi la création automatique des paquets de symboles de débogage.

La création automatique des paquets de symboles de débogage peut être empêchée en ajoutant noautodbgsym à la variable d'environnement DEB_BUILD_OPTIONS. En revanche, dh_strip ajoutera quand même les liens de débogage aux binaires ELF lorsque ce paramètre est défini, pour s'assurer que le paquet deb est identique avec ou sans (en considérant qu'il est par ailleurs reproductible bit à bit).

CONFORMITÉ
Charte Debian, version 3.0.1

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».